MultiPath Class Reference
Monte Carlo framework

Correlated multiple asset paths. More...

`#include <ql/methods/montecarlo/multipath.hpp>`

## Public Member Functions

| MultiPath (Size nAsset, const TimeGrid &timeGrid)
| MultiPath (const std::vector< Path > &multiPath)
inspectors
Size | assetNumber () const
Size | pathSize () const

## read/write access to components

const Path & | operator[] (Size j) const
const Path & | at (Size j) const
Path & | operator[] (Size j)
Path & | at (Size j)

## Detailed Description

Correlated multiple asset paths.

MultiPath contains the list of paths for each asset, i.e., multipath[j] is the path followed by the j-th asset.